Deploy source
POST /projects/spacedrop
This endpoint uses multipart/form-data.
zip file
required
Project source archive.
string
required
New project name. Optional when
projectId is supplied.string
required
Pxxl domain suffix for a new project, such as
pxxl.pro.string
Existing project that receives the deployment.
string
default:"production"
Deployment environment.
number
Port exposed by a web service.
string
Project root inside a monorepo.
string
Custom dependency installation command.
string
Custom build command.
string
Custom runtime command.
Projects
Redeploy
Deployments and logs
User-facing build logs come from
/cli/deployments/{deploymentId}/build-logs.